# Functor CamomileLibrary.UCharTbl.Make

    module Make: functor (H : Hashtbl.HashedType) -> Type  with type elt = H.t

Equality and hash are necessary for table generation.

Parameters: |
`H` | : | `Hashtbl.HashedType`

    type elt

    type t = elt CamomileLibrary.UCharTbl.tbl

    val get : elt CamomileLibrary.UCharTbl.tbl ->
           CamomileLibrary.UChar.t -> elt

    val of_map : elt ->
           elt CamomileLibrary.UMap.t ->
           t

`of_map def m` creates the table which has the same value to `m`. The table returns `def` for the characters for which `m` is undefined.